#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "qmainwindow.h"
#include "qtabwidget.h"

class QTabWidget;
class QWidget;
class QLineEdit;
class QString;

class JobSubWindow;
class JobStatWindow;

class MainWindow : public QMainWindow
{
  Q_OBJECT

 public:
  MainWindow( QWidget* parent = 0, const char* name = 0 );
  ~MainWindow( );
  
 public slots:
  void load( );
  void save( );
 
 private:
  QTabWidget* tabs;
  JobSubWindow* jobWindow;
  JobStatWindow* jobStats;
  QLineEdit* lineEdit;

};

#endif
